SDXFrameWork 0.13 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Static Public Member Functions | List of all members
SDX::Directory Class Reference

ディレクトリの作成、ディレクトリ内のファイルの列挙関数郡. More...

`#include <Directory.h>`

## Static Public Member Functions
static std::vector< std::string > | GetFileName (const char *ディレクトリ名)
| ディレクトリ内のファイル名/ディレクトリ名を取得する. More...
static bool | MakeDirectory (const char *ディレクトリ名)
| ディレクトリを作成する. More...

## Detailed Description

ディレクトリの作成、ディレクトリ内のファイルの列挙関数郡.

Todo:
  とりあえずWindow版のみ実装

//Copyright © 2014 SDXFramework
//[License]GNU Affero General Public License, version 3
//[Contact]http://sourceforge.jp/projects/dxframework/
//ファイルに書き込みと読み込みを行う
bool SampleFile()
{
using namespace SDX;
File fileA("test.txt", FileMode::Write, true);
int a = 100;
double b = 1.23;
char c = 123;
std::string str = "こんにちは";
fileA.Write(a);
fileA.Write(b);
fileA.Write(c);
fileA.Write(str);
fileA.Close();
File fileB("test.txt", FileMode::Read, true);
int a2;
double b2;
char c2;
std::string str2;
fileB.Read(a2);
fileB.Read(b2);
fileB.Read(c2);
fileB.Read(str2);
fileB.Close();
File fileC("csv.txt", FileMode::Write);
fileC.Write("1,2,3,4,5");
fileC.Close();
File fileD("csv.txt", FileMode::Read);
std::vector<int> intS = fileD.GetCsvToInt();
fileD.Close();
File fileE("csv2.txt", FileMode::Write);
fileE.Write("1,こんにちは,3,さようなら,5");
fileE.Close();
File fileF("csv2.txt", FileMode::Read);
std::vector<std::string> strS = fileF.GetCsvToString();
fileF.Close();
System::Initialise("sample", 640, 480);
while (System::Update())
{
Drawing::String({ 10, 10 }, Color::White, { "書き込みA:", a, " ", b, " ", c, " ", str });
Drawing::String({ 10, 30 }, Color::White, { "読み込みB:", a2, " ", b2, " ", c2, " ", str2 });
Drawing::String({ 10, 50 }, Color::White, { "読み込みD:", intS[0], intS[1], intS[2], intS[3], intS[4] });
Drawing::String({ 10, 70 }, Color::White, { "読み込みF:", strS[0], strS[1], strS[2], strS[3], strS[4], });
if (Input::key.Return.on){ break;}//Enterで終了
}
System::End();
return true;
}

## Member Function Documentation

static std::vector<std::string> SDX::Directory::GetFileName | ( | const char * | ディレクトリ名 | ) |
| inline static

ディレクトリ内のファイル名/ディレクトリ名を取得する.

static bool SDX::Directory::MakeDirectory | ( | const char * | ディレクトリ名 | ) |
| inline static

ディレクトリを作成する.